Added
New partner features for the BILL webhook API
July 22nd, 2024
We have introduced new features for the BILL webhook API. BILL partners can now perform subscription and event operations at the partner level.
As a BILL partner, when you create a subscription for events, you get event notifications for all the organizations created with your partner appKey. To create a subscription at the partner level, simply set the required header values. The base URL and body parameters in the POST /v3/subscriptions request are the same for partner users and organization users.
| Partner-level header values for webhooks | Organization-level header values for webhooks |
|---|---|
X-Idempotent-KeyIdempotency key. The key must be in the UUID4 format. | X-Idempotent-KeyIdempotency key. The key must be in the UUID4 format. |
sessionIdPartner API session ID generated with /v3/partner/login | sessionIdAPI session ID generated with /v3/login |
appKeyApplication key sent to you by BILL when you create a partner account | devKeyDeveloper key sent to you by BILL when you create a developer account |
